<div class="soldout-wrap">
  <div class="row margint1vh">
    <div class="col common-title common-header-h4">
      <h4>{{ 'labelSoldOut' | translate:lang }}</h4>
    </div>
  </div>
  <span *ngIf="soldOutLength > 0">
    <div class="row outof-stock">
      <div class="col-md-3 mt-3" *ngFor="let product of productList">
        <span class="outof-stock-txt">{{'labelOutOfStock' | translate: lang}}</span>
        <app-product-tile [productDetail]="product" [from]="productFrom"></app-product-tile>
      </div>
    </div>
    <div class="row showmore-wrap" *ngIf="soldOutLength > productList.length">
      <button mat-raised-button class="show-more"
        (click)="showMoreProducts()">{{ 'buttonShowMore' | translate:lang }}</button>
    </div>
  </span>
  <div class="nodata-found-wrap" *ngIf="soldOutLength === 0">
    <div class="nodata-found">
      <img src="assets/images/empty_product.png" />
    </div>
    <span class="align-bottom">
      {{'lableNoProducts' | translate: lang}}</span>
  </div>
</div>